#### IKEYPOSITION

#### Synopsis

    HELP:   (HOST) Key position of input KSDS [1]
    TYPE:   NUMBER
    SYNTAX: IKEYPOSITION/IKEYPOS/IKEYP=num

#### Description

Key position of input file (z/OS only).

This parameter is not necessary for catalogued files in MVS. The key position specified in the catalogue is used.

See also parameter IKEYLENGTH.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `IKEYPOS=n`
  - `IKEYP=n`

Values

- z/OS
  - 0, 1 - (record length - key length).

Default

- z/OS
  - 1 if key exists, 0 otherwise

Valid for

- compression